# Docker образ OpenVPN
Состав дистрибутива:

  - Docker образ на основе **Centos 7**
  - OpenVPN
  - StoneVPN
  - Easy-RSA
  - Git client

Для запуска контейнера используется исполняемый файл docker-entrypoint.sh, в котором:

  - считывается из переменной режим работы (сервер, клиент, генерация конфигов)
  - присваивается дополнительный ip-адрес, присвоенной переменной **ip**, на интерфейс указанный в переменной **dev**
  - добавляется правило iptables
  - определяется процедура удаления **ip** и правила **iptables** при штатной и нештатной остановке контейнера
  - определяется подсеть кластера



### Пример запуска контейнера

`docker run -d --rm -e mode=server -e net="192.168.0.200" -e ip="192.168.0.234" -e dev="eth0" --net=host --privileged ovpn:1`

#### Примечание:


